
Figure - Bug #118116
【IOVDEV-29482】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【第三方应用】小窗模式的企业
微信，新建文档会导致企业微信强退
2023-05-19 18:34 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-19

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 0106

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 由于DecorCaptionView的Toolbar被遮挡导致的问题,将ToolBar显示出来就行

Description

【环境信息】：EE环境

【问题出现时间】：20230519 16:50 第40次开机

【前提条件】：电源ON

【操作步骤】：

1、进入企业微信小窗模式

2、点击文档

3、点击新建

【实际结果】

企业微信被闪退

【期望结果】

进入新建文档页面

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0095.C103

【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】企业微信4.1.3

录屏&log:https://ofs.human-horizons.com/#/download/index/xaU1pmXOg1E%3D

History

#1 - 2023-05-19 18:51 - CDTS_TEST 王成

- Subject changed from 【IOVDEV-29482】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【第三方应用】小窗模式的企业微信，新建文档会导致

企业微信强退� 3 之 21 上一问题'IOVDEV-29496' 下个问题'IOVDEV-29416' 返回到搜索 to 【IOVDEV-29482】【内部】【VC1】【0095】【台架】【EE环境

】【副屏】【第三方应用】小窗模式的企业微信，新建文档会导致企业微信强退

#2 - 2023-05-22 15:22 - CD FW-鲁凯峰

视频开始记录的时间在16:58,整个视频时长36s,在视频结束的时间到了16:59. 大概可以推测出操作是在16:58:24左右进行的

//进入企业微信主界面

05-19 16:58:27.085  1231  1557 I ActivityTaskManager: Displayed com.tencent.wework/.launch.WwMainActivity: +145ms

//进入Recent

2025-07-07 1/3



05-19 16:58:30.214  2503  2503 D FreeWindowHelper: enterOrExitRecentTasks: isEnterRecentTasks=true,mExitFlag=1

05-19 16:  1231 10171 W FreeFormWindowHelper: enterRecentTasks58:30.214

//在Recent里面点击小窗,进入小窗模式

05-19 16:58:31.111  1231 10171 I wm_set_resumed_activity: [0,com.tencent.wework/.launch.WwMainActivity,moveTaskToFront findTaskToMoveToFront]

05-19 16:58:31.112  1231 10171 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.tencent.wework.launch.WwMainActivity

//点击进入我的文档界面

05-19 16:58:35.238  1231 10171 I ActivityTaskManager: START u0 {cmp=com.tencent.wework/.qydisk.flutter.activity.QyDiskFlutterActivity (has extras)} from uid 10097

//点击右上角的+号创建文档

05-19 16:58:37.455  6273  6273 D ViewTouchDebug: mView : DecorView@bcb35f8[QyDiskFlutterActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id0=0, x0=647.5, y0=28.75, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=META_NUM_LOCK_ON, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=159058, downTime=159058, deviceId=4, source=0x5002, displayId=0, eventId=228627261 }

05-19 16:58:37.622  6273  6273 D ViewTouchDebug: mView : DecorView@bcb35f8[QyDiskFlutterActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=647.5, y0=28.75, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=META_NUM_LOCK_ON, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=159226, downTime=159058, deviceId=4, source=0x5002, displayId=0, eventId=969326920 }

//界面被finish掉

05-19 16:58:37.623  1231 10171 I wm_finish_activity: [0,660691,2533,com.tencent.wework/.launch.WwMainActivity,finish-activity]

05-19 16:58:37.625  1231 10171 I wm_destroy_activity: [0,660691,2533,com.tencent.wework/.launch.WwMainActivity,finish-imm:finishIfPossible]

05-19 16:58:37.626  1231 10171 I wm_finish_activity: [0,261880237,2533,com.tencent.wework/.qydisk.flutter.activity.QyDiskFlutterActivity,finish-activity]

从被finish的原因finish-activity看,有点像是点击到的小窗Toobar的删除按钮上了

问题点有2个

1. 进入我的文档界面后,小窗的Toobar不见了

2. 点击创建按钮,整个企业微信被干掉了

我们这边无法登录企业微信,需要找客户借用一个账号来复现该问题,来更进一步的分析问题

#3 - 2023-05-22 20:00 - CD FW-鲁凯峰

已找到登录企业微信的方法,正在进一步分析问题

#4 - 2023-05-23 19:55 - CD FW-鲁凯峰

之前的问题点,都已经解决,但是目前还会有Toolbar显示被遮挡部分的问题,还在优化中

1. 进入我的文档界面后,小窗的Toobar不见了

2. 点击创建按钮,整个企业微信被干掉了

#5 - 2023-05-24 14:41 - CD FW-鲁凯峰

- Root cause set to 由于DecorCaptionView的Toolbar被遮挡导致的问题,将ToolBar显示出来就行

■ Current conclusion

问题已经解决
■ My analysis

由于DecorCaptionView的Toolbar被遮挡导致的问题,将ToolBar显示出来就行

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202266/

#6 - 2023-05-24 17:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202266 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: adapt for weworkTC-RID: 1201-0204601IssueID: TS-R-BUG-118116Change-Id: I958fa911e963f99b0d998035db72076fccb34e72

#7 - 2023-05-24 17:12 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#8 - 2023-06-01 11:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0106

6.1

验证通过

#9 - 2023-06-01 11:11 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2023-06-01 11:11 - CD TEST-方永红

- % Done changed from 0 to 100
